## LaTeX commands LaTeX commands — LaTeX menu, Math menu and Edit toolbar |

## Functions

void | latexila_latex_commands_add_action_infos ()
void | latexila_latex_commands_add_actions ()
GtkToolbar * | latexila_latex_commands_create_edit_toolbar ()
GtkMenu * | latexila_latex_commands_create_latex_menu ()
GtkMenu * | latexila_latex_commands_create_math_menu ()

## Includes

    #include <latexila.h>

## Description

## Functions

### latexila_latex_commands_add_action_infos ()

    void
    latexila_latex_commands_add_action_infos
                                   (GtkApplication *gtk_app);

Creates the AmtkActionInfo's related to the LaTeX and Math menus, and add them to the AmtkActionInfoStore as returned by `tepl_application_get_app_action_info_store()`.

#### Parameters

gtk_app | the GtkApplication instance. |

### latexila_latex_commands_add_actions ()

    void
    latexila_latex_commands_add_actions (GtkApplicationWindow *gtk_window);

Creates the GAction's related to the LaTeX and Math menus, and add them to `gtk_window` .

#### Parameters

gtk_window | a GtkApplicationWindow. |

### latexila_latex_commands_create_edit_toolbar ()

    GtkToolbar *
    latexila_latex_commands_create_edit_toolbar
                                   (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkToolbar with the most common LaTeX actions.

[transfer floating]

### latexila_latex_commands_create_latex_menu ()

    GtkMenu *
    latexila_latex_commands_create_latex_menu
                                   (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkMenu with a lot of LaTeX commands.

[transfer floating]

### latexila_latex_commands_create_math_menu ()

    GtkMenu *
    latexila_latex_commands_create_math_menu
                                   (GtkApplicationWindow *gtk_window);

#### Parameters

gtk_window | a GtkApplicationWindow. |

#### Returns

a new GtkMenu with a lot of math LaTeX commands.

[transfer floating]